#
# spec file for package spec (Version 2.0)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

Name:         fmsx-sdl
License:      COPYRIGHT
Group:        unsorted
Autoreqprov:  on
Version:      3.3
Release:      4.18
Summary:      MSX Emulator
Source:       %name-%version.tar.gz
Source1:      ROMS.tar.gz
Patch:        %name-%{version}-z-file.patch
Patch1:       %name-%{version}-fix-linking.patch
BuildRequires: SDL-devel
BuildRequires: zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This my update of Vincent van Dam's SDL port of Marat Fayzullin's MSX
emulator fMSX to the current 3.3 core.

Alt+Enter toggles fullscreen mode.

Includes the ROMs posted on Marat's homepage.

%prep
%setup -a 1
%patch -p1
%patch1 -p1

%build
make %{?jobs:-j%jobs} OPTS="$RPM_OPT_FLAGS"

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -m 755 rddsk wrdsk $RPM_BUILD_ROOT/usr/bin
install -m 755 fmsx $RPM_BUILD_ROOT/usr/bin/fmsx-sdl
install -d -m 755 $RPM_BUILD_ROOT/usr/share/fmsx
install -m 644 *.ROM *.FNT $RPM_BUILD_ROOT/usr/share/fmsx

%files
%defattr(-,root,root)
%doc readme*
/usr/bin/*
/usr/share/fmsx

%changelog
* Mon Jun  1 2015 wbauer@tmo.at
- added zlib-devel BuildRequires to fix build
- added fmsx-sdl-3.3-z-file.patch to fix build with latest zlib
  (patch taken from the fMSX package)
- added fmsx-sdl-3.3-fix-linking.patch to prevent a linker
  error
- converted all source files to UNIX format to make it possible to
  apply patches during build
- moved package changelog to a separate .changes file
* Fri Feb 29 2008 uli@suse.de
- changed binary name to avoid conflict with mainline fMSX
